
Name:           python-functools32
# Dashes are not allowed in version numbers
Version:        3.2.3.2
Release:        %mkrel 1
%define tarver  3.2.3-2
Summary:        Backport of the functools module from Python 3.2
License:        Python-2.0
Group:          Development/Python
Url:            https://github.com/MiCHiLU/python-functools32
Source:         https://pypi.python.org/packages/source/f/functools32/functools32-%{tarver}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-nose
# For singlespec compatibility
Provides:       python2-functools32 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a backport of the functools standard library module from
Python 3.2.3 for use on Python 2.7 and PyPy. It includes
new features `lru_cache` (Least-recently-used cache decorator).

%prep
%setup -q -n functools32-%{tarver}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE
%{python_sitelib}/*

%changelog
* Fri Apr  7 2017 toddrme2178@gmail.com
- Add python2 provides for singlespec compatibility.
* Thu Aug 13 2015 toddrme2178@gmail.com
- Initial version
